﻿using System;
using System.IO;
using System.Net;
using System.Text;
using System.Windows.Forms;

namespace WinForm_NetCore1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void menuStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {
            string message = "Deseja encerrar esta aplicação ?";
            string title = "Fechar janela";
            MessageBoxButtons buttons = MessageBoxButtons.YesNo;
            DialogResult result = MessageBox.Show(message, title, buttons, MessageBoxIcon.Warning);

            if (result == DialogResult.Yes)
            {
                this.Close();
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {

            if (!string.IsNullOrEmpty(txtUrl.Text))
            {
                HttpWebRequest request = (HttpWebRequest)WebRequest.Create(txtUrl.Text);
                HttpWebResponse response = (HttpWebResponse)request.GetResponse();

                if (response.StatusCode == HttpStatusCode.OK)
                {
                    Stream receiveStream = response.GetResponseStream();
                    StreamReader readStream = null;

                    if (String.IsNullOrWhiteSpace(response.CharacterSet))
                        readStream = new StreamReader(receiveStream);
                    else
                        readStream = new StreamReader(receiveStream, Encoding.GetEncoding(response.CharacterSet));

                    string data = readStream.ReadToEnd();
                    txtResultado.Text = data;

                    response.Close();
                    readStream.Close();
                }
            }
            else
            {
                MessageBox.Show("INforme a URL de destino...");
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtUrl.Text = "http://www.macoratti.net";
        }
    }
}
